summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-04-19 07:37:16 +0200
committerHans de Graaff <graaff@gentoo.org>2019-04-19 07:37:16 +0200
commit23da239ba9212fa487136291377c784fe2eae7aa (patch)
treea918f3027e28ceaa03b5f8cb5d4b45f78390c937 /dev-ruby
parentdev-ruby/font-awesome-rails: add 4.7.0.5 (diff)
downloadgentoo-23da239ba9212fa487136291377c784fe2eae7aa.tar.gz
gentoo-23da239ba9212fa487136291377c784fe2eae7aa.tar.bz2
gentoo-23da239ba9212fa487136291377c784fe2eae7aa.zip
dev-ruby/libusb: fix many issues
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/libusb/libusb-0.6.4.ebuild23
1 files changed, 15 insertions, 8 deletions
diff --git a/dev-ruby/libusb/libusb-0.6.4.ebuild b/dev-ruby/libusb/libusb-0.6.4.ebuild
index 9d94b56b38a..92f4a629ea7 100644
--- a/dev-ruby/libusb/libusb-0.6.4.ebuild
+++ b/dev-ruby/libusb/libusb-0.6.4.ebuild
@@ -4,6 +4,10 @@
EAPI=6
USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="History.md README.md"
+
RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
inherit ruby-fakegem
@@ -16,15 +20,18 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
-DEPEND=""
-RDEPEND="${DEPEND}"
-BDEPEND=""
-PDEPEND="virtual/ruby-ffi
- virtual/libusb"
+DEPEND+="virtual/libusb:1"
+RDEPEND+="${DEPEND}"
+
+ruby_add_rdepend "dev-ruby/ffi:0"
all_ruby_prepare() {
sed -i '/mini_portile2/d' ${PN}.gemspec || die
- sed -i '/mini_portile2/d' lib/libusb/libusb_recipe.rb || die
- sed -i '/mini_portile2/d' lib/libusb/gem_helper.rb || die
- sed -i '/mini_portile2/d' lib/libusb/dependencies.rb || die
+
+ # Avoid tests that try to open devices
+ rm -f test/test_libusb_bos.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -I.:lib -e "Dir['test/test_*.rb'].each{|f| require f}" || die
}